> ## Documentation Index
> Fetch the complete documentation index at: https://docs.minestorecms.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get User

> Get user details including virtual currency balance if applicable.



## OpenAPI

````yaml POST /user
openapi: 3.0.0
info:
  title: MineStoreCMS REST API
  description: Documentation for MineStoreCMS Frontend REST API.
  version: 3.8.7
servers:
  - url: https://v3.minestorecms.com/api
    description: Example URL of Demo Server
security: []
tags: []
paths:
  /user:
    post:
      tags:
        - user
      summary: Retrieve user information
      description: Get user details including virtual currency balance if applicable.
      responses:
        '200':
          description: User information retrieved successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: integer
                    example: 1
                  username:
                    type: string
                    example: John
                  avatar:
                    type: string
                    example: https://mc-heads.net/body/John/150px
                  system:
                    type: string
                    example: minecraft
                  identificator:
                    type: string
                    example: John
                  uuid:
                    type: string
                    example: e7e2a342-b204-4d9e-9e1f-6e1e4f1b029d
                  created_at:
                    type: string
                    format: date-time
                    example: '2024-01-01T00:00:00Z'
                  updated_at:
                    type: string
                    format: date-time
                    example: '2024-01-02T00:00:00Z'
                  virtual_currency:
                    nullable: true
                    type: number
                    format: float
                    example: 100.5
        '401':
          description: Unauthorized - Invalid or missing Access Token
      deprecated: false
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````